package com.sunxung.factoring.entity.financing.payment;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 应收账款登记文件表
 * </p>
 *
 * @author liutao
 * @since 2024-03-01
 */
@TableName("receivables_register_file")
public class ReceivablesRegisterFile extends BaseEntity {

    /**
     * 文件Id
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 应收账款登记Id
     */
    @TableField("receivables_register_id")
    private Long receivablesRegisterId;

    /**
     * 登记类型，receivables-应收账款登记、mortgage-动产抵押登记、ownership-所有权保留登记
     */
    @TableField("register_type")
    private String registerType;

    public ReceivablesRegisterFile() {
    }

    public ReceivablesRegisterFile(Long fileId, Long receivablesRegisterId, String registerType) {
        this.fileId = fileId;
        this.receivablesRegisterId = receivablesRegisterId;
        this.registerType = registerType;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getReceivablesRegisterId() {
        return receivablesRegisterId;
    }

    public void setReceivablesRegisterId(Long receivablesRegisterId) {
        this.receivablesRegisterId = receivablesRegisterId;
    }

    public String getRegisterType() {
        return registerType;
    }

    public void setRegisterType(String registerType) {
        this.registerType = registerType;
    }

}
